.hero {
    width: 100vw;
    height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.carousel-box{
    width: 100vw;
    height: 100%;
    position: absolute;
    z-index: -1;
}

.custom-prop {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.carousel-box img{
    width: 100%;
    height: 100vh;
    background-size: cover;
}

.overlay {
    position: absolute;
    width: 100vw;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.hero-content {
    position: relative;
    z-index: 2;
    color: white;
    max-width: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* background-color: #d4af37; */
}

.hero-content h1 {
    font-size: 50px;
    margin-bottom: 20px;
    font-family: 'Cinzel', serif;
}

.hero-content p {
    font-size: 15px;
    line-height: 1.8;
}

.buttons {
    margin-top: 30px;
}

.button-hero {
    padding: 15px 20px;
    border: none;
    background: #d4af37;
    color: black;
    margin: 10px;
    cursor: pointer;
    font-weight: bold;
    border-radius: 50px !important;
    transition: 0.4s;
}

button:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(212, 175, 55, 0.4);
}

.outline {
    background: transparent;
    border: 2px solid #d4af37;
    color: white;
}

.features {
    padding: 100px 10%;
    text-align: center;
}

.features h2 {
    font-size: 50px;
    margin-bottom: 50px;
    font-family: 'Cinzel', serif;
}

.feature-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
}

.card {
    background: white;
    padding: 40px;
    border-radius: 20px;
    transition: 0.4s;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}

.card:hover {
    transform: translateY(-10px);
    border: 1px solid #d4af37;
}

.gallery-section {
    width: 100vw;
    padding: 100px 10%;
    text-align: center;
}

.gallery-section h2 {
    font-size: 50px;
    margin-bottom: 50px;
    font-size: 1cm;
}

.gallery {
    column-width: 200px;
}

.gallery img {
    width: 100%;
    margin:20px 40px;
    border-radius: 20px;
    transition: 0.4s;
}

@media(max-width:420px){
    .gallery{
    display: flex;
    flex-direction:column;
    align-items: center;
    justify-content: center;
    column-width: none;
}
    .gallery img{
        max-width: 300px;
    }
}

.gallery img:hover {
    transform: scale(1.05);
}

.stats {
    padding: 100px 10%;
    display: flex !important;
    flex-direction: row;
    justify-content: space-around;
    text-align: center;
    background: #6d071a;
    color: white;
    font-size: 30px;
}

.counter , .ct{
    display: inline;
}

@media(max-width:768px){
    .stats{
        flex-direction:column;
        gap:50px;   
    }
}

.stat-box h2 {
    font-size: 60px;
    color: #d4af37;
}

.testimonial {
    padding: 100px 10%;
    text-align: center;
}

.testimonial-box {
    max-width: 700px;
    margin: auto;
    background: white;
    padding: 40px;
    border-radius: 20px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}




.footer{
    background:black;
    padding:90px 0 40px;
}

.footer-flex{
    display:flex;
    justify-content:space-between;
    flex-wrap:wrap;
    gap:50px;
}

.footer-box{
    display:flex;
    flex-direction:column;
}

.logo{
    color:white;
    font-size:42px;
    margin-bottom:30px;
}

.footer-box p{
    color:#8d8d8d;
    font-size:18px;
    line-height:1.8;
    max-width:350px;
}

.footer-box a{
    color:#8d8d8d;
    text-decoration:none;
    margin-bottom:18px;
    font-size:18px;
    font-weight:600;
    transition:0.3s;
}

.footer-box a:hover{
    color:white;
}

.icons{
    margin:25px 0;
    display:flex;
    gap:20px;
}

.icons i{
    color:#8d8d8d;
    font-size:20px;
    cursor:pointer;
    transition:0.3s;
}

.icons i:hover{
    background: #d4af37;
}
button{
    width:180px;
    padding:15px;
    border:none;
    border-radius:50px;
    background: #d4af37;
    color:white;
    font-size:18px;
    font-weight:600;
    cursor:pointer;
    transition:0.3s;
}

button:hover{
    background: #d4af37;
    transform:translateY(-3px);
}

hr{
    border:1px solid #222;
    margin:70px 0 40px;
}

.copyright{
    text-align:center;
    color:#777;
    font-size:16px;
}

@media(max-width:420px){

    .footer-flex{
        width: 100%;
        display: flex;
        flex-direction:column;
        text-align:center;
        align-items: center;
        justify-content: center;
    }

    .footer-box p{
        max-width:100%;
    }

    .icons{
        justify-content:center;
    }


}
